import { useUserinfoStore } from "@/stores/UserinfoStore"
import { EngineContext } from '@/composables/useEngine'

export async function setupApp(this: EngineContext, authcode: string): Promise<void> {
  await this.callApi('/api/setupApp', {
    authcode,
  })
}